#
# spec file for package hal-resmgr (Version 0.1_SVNr124)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    PolicyKit aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cpp41 cracklib cvs cyrus-sasl db dbus-1 dbus-1-devel dbus-1-glib dbus-1-glib-devel diffutils e2fsprogs expat file filesystem fillup findutils flex gawk gcc gcc41 gdbm gdbm-devel gettext gettext-devel glib2 glib2-devel glibc glibc-devel glibc-locale gnome-filesystem gpm grep groff gzip hal hal-devel info insserv klogd less libacl libacl-devel libattr libattr-devel libcom_err libgcc41 libltdl libmudflap41 libnscd libstdc++41 libtool libusb libvolume_id libxcrypt libxml2 libzio linux-kernel-headers m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions pkgconfig pm-utils pmtools popt procinfo procps psmisc pwdutils rcs readline resmgr rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           hal-resmgr
BuildRequires:  hal-devel libacl-devel resmgr
License:        GNU General Public License (GPL)
Group:          System/Daemons
Version:        0.1_SVNr124
Release:        20.1
Summary:        Install ACLs on device nodes
Source:         %{name}-%{version}.tar.bz2
Source1:        rchal-resmgr
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
PreReq:         %insserv_prereq %fillup_prereq
Provides:       resmgr:/etc/hotplug/usb/desktopdev
Requires:       resmgr
Patch:          hal-resmgr-r126.diff
Patch1:         hal-resmgr-floppyaccess.diff
Patch2:         hal-resmgr-docuexample.diff

%description
hal-resmgr hooks into hald and resmgr in order to install file system
ACLs on device nodes when users log in and out.



Authors:
--------
    Ludwig Nussel

%debug_package
%prep
%setup -q
%patch
%patch1
%patch2

%build
make CFLAGS="%{optflags}"

%install
make install DESTDIR="%{buildroot}"
install -d %{buildroot}/etc/init.d

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README
/etc/hal
/etc/resmgr.conf.d/91-hal-resmgr.conf
/usr/sbin/*
/usr/share/hal
%{_libdir}/hal/hal-resmgr
%{_libdir}/hal/scripts/hal-resmgr-grant
%{_libdir}/hal/scripts/hal-resmgr-revoke

%changelog
* Wed Feb 14 2007 - lnussel@suse.de
- fix fdi file to grant access to floppy devices again (#244591)
- add another configuration example to docu
* Wed Nov 29 2006 - lnussel@suse.de
- properly quote user names that contain spaces (#223664)
* Tue Nov 14 2006 - lnussel@suse.de
- add support for v4l and dvb devices (fate #300558)
* Mon Nov 13 2006 - lnussel@suse.de
- move all resmgr fdi files to /etc so hal applies them last (#218393)
* Tue Oct 24 2006 - lnussel@suse.de
- list only accessible devices by default
- add --list-all option
- just unref the dbus connection as closing it causes a warning
* Thu Sep 28 2006 - lnussel@suse.de
- fix program help text and README to reflect the new duties of
  hal-resmgr and resmgr
- implement device flags (eg read-only)
* Fri Sep 08 2006 - lnussel@suse.de
- add match rule for scanners (#160899)
* Wed Sep 06 2006 - lnussel@suse.de
- install file system ACLs directly instead of passing device names
  to resmgr
- install Grant and Revoke methods in HAL
* Mon Sep 04 2006 - dgollub@suse.de
- added match rule for palm devices (pda.platform) in resmgr.fdi
* Wed Aug 23 2006 - lnussel@suse.de
- install hal-resmgr symlink in hal libdir so newer hal find it
  (#201055)
* Mon Aug 14 2006 - thoenig@suse.de
- Add patch hal-resmgr-dbus-api-fix-thoenig-01.patch: Use
  dbus_connection_close, not dbus_connection_disconnect
* Thu Feb 16 2006 - lnussel@suse.de
- allow opening and locking usb devices via usb family (#118794)
* Fri Jan 27 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Jan 25 2006 - lnussel@suse.de
- put audio players into resmgr class audioplayer (#145451)
* Wed Jan 25 2006 - lnussel@suse.de
- hack: merge properties from usb interface nodes to usbraw node to
  make cameras work (#145125)
* Fri Jan 20 2006 - lnussel@suse.de
- remove 'scsi' flag, add sg devices instead. needs new hal (#141228)
- remove forgotten obsolete usb device access hunk
* Mon Jan 16 2006 - lnussel@suse.de
- remove special usb handling and add usbraw.device instead
  (req. for #142859)
- update README
* Fri Jan 13 2006 - lnussel@suse.de
- move callouts to /etc/hal/fdi/policy/90osvendor as /etc/hal is
  processed after /usr/share/hal (makes fix for #142859 possible)
- add scsi flag for IEEE1394 cdrom drives (#135602)
* Tue Jan 10 2006 - lnussel@suse.de
- /dev/usbdev -> /dev/bus/usb
* Wed Nov 16 2005 - lnussel@suse.de
- use /dev/usbdev* instead of /proc/bus/usb
* Fri Aug 26 2005 - lnussel@suse.de
- add all automounted devices to class floppy to grant device access
  as submount doesn't do it anymore (#113232)
* Wed Aug 24 2005 - lnussel@suse.de
- add joystick event devices
* Fri Aug 19 2005 - lnussel@suse.de
- put pda serial ports into class "pda" where users have access to
  by default (#104426)
* Wed Aug 17 2005 - lnussel@suse.de
- add README
* Fri Aug 12 2005 - lnussel@suse.de
- don't print leading zeroes in usb names to prevent octal
  interpretation (#103037)
* Sun Jul 31 2005 - lnussel@suse.de
- add mouse event devices to class input
- add usb mice for libusb access to class input
- add split-provides to have hal-resmgr installed on update
* Wed Jul 27 2005 - lnussel@suse.de
- add serial devices to class modem
* Tue Jul 19 2005 - lnussel@suse.de
- don't use dbus when run as callout to make it work during hal
  startup. Init script no longer required. (#95353)
- remove use of glib2
* Thu Jul 14 2005 - lnussel@suse.de
- retry getting hal device list if it's empty during boot
* Wed Jun 29 2005 - lnussel@suse.de
- fix usb support
- add cameras to resmgr
* Mon Jun 27 2005 - ro@suse.de
- move from /sbin to /usr/sbin (since we link against libs in /usr)
* Tue Jun 14 2005 - lnussel@suse.de
- use sub classes instead of just "desktop"
* Tue Jun 07 2005 - lnussel@suse.de
- new package
